Bug 104365 - SIGRT_ omitted when printing inverted masks
SIGRT_ omitted when printing inverted masks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: strace (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-13 11:08 EDT by John Reiser
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: 4.5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-25 03:15:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2003-09-13 11:08:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030902

Description of problem:
When printing an inverted signal mask (for rt_sigprocmask, etc.),
the signals in the range 32..63 are printed as decimal numbers instead of as
SIGRT_n.  This makes it hard to correlate with the printing of non-inverted
masks and single signals, which use the SIGRT_n designations.  You have to know
that SIGRTMIN==32, SIGRT_1==33, SIGRT_3==34, etc.

Version-Release number of selected component (if applicable):
strace-4.4.99-2

How reproducible:
Always

Steps to Reproduce:
1. strace -f build-i686-linuxthreads/linuxthreads/tst-cancel2  2>&1  | grep rt_sig
2.
3.
    

Actual Results:  [pid  4155] rt_sigaction(SIGWINCH, {0xb356c, ~[HUP INT ILL FPE
PIPE TERM CONT TSTP TTIN SYS 33 34 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50
51 52 53 54 55 56 57 58 59 60 61 62 63], SA_SIGINFO|0x22560}, NULL, 8) = 0
:g/ 33/p
[pid  4155] rt_sigaction(SIGWINCH, {0xb356c, ~[HUP INT ILL FPE PIPE TERM CONT
TSTP TTIN SYS 33 34 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55
56 57 58 59 60 61 62 63], SA_SIGINFO|0x22560}, NULL, 8) = 0
[pid  4159] rt_sigprocmask(SIG_SETMASK, ~[TRAP 33],  <unfinished ...>
[pid  4159] rt_sigprocmask(SIG_SETMASK, ~[TRAP ABRT SEGV 34], ~[TRAP KILL STOP
33], 8) = 0
[pid  4159] rt_sigprocmask(SIG_SETMASK, ~[TRAP KILL STOP 33],  <unfinished ...>
[pid  4160] rt_sigprocmask(SIG_SETMASK, ~[TRAP KILL STOP 33],  <unfinished ...>
[pid  4160] <... rt_sigprocmask resumed> ~[TRAP KILL STOP 33], 8) = 0
[pid  4160] rt_sigprocmask(SIG_SETMASK, ~[TRAP KILL STOP 33],  <unfinished ...>


Note the " 33" and " 34" instead of SIGRT_1 and SIGRT_2.

Expected Results:  Printing of signals in the range 32..63 should be consistent.

Additional info:
Comment 1 Roland McGrath 2003-09-23 18:21:17 EDT
I have fixed this upstream and a new rpm will go into RHEL3 soon.
Comment 2 Roland McGrath 2003-09-25 03:15:52 EDT
RHEL3 will include a new rpm of the new upstream version 4.5 that fixes this.
Comment 3 Jay Turner 2004-01-16 12:04:43 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-361.html

Note You need to log in before you can comment on or make changes to this bug.